Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.context
Class ExternalContext

    java.lang.Object
      javax.faces.context.ExternalContext

public abstract class ExternalContext
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Field Summary
`static java.lang.String` | `BASIC_AUTH`
`static java.lang.String` | `CLIENT_CERT_AUTH`
`static java.lang.String` | `DIGEST_AUTH`
`static java.lang.String` | `FORM_AUTH`

Constructor Summary
`ExternalContext()`

Method Summary
`abstract void` | `dispatch(java.lang.String path)`
`abstract java.lang.String` | `encodeActionURL(java.lang.String url)`
`abstract java.lang.String` | `encodeNamespace(java.lang.String name)`
`abstract java.lang.String` | `encodeResourceURL(java.lang.String url)`
`abstract java.util.Map` | `getApplicationMap()`
`abstract java.lang.String` | `getAuthType()`
`abstract java.lang.Object` | `getContext()`
`abstract java.lang.String` | `getInitParameter(java.lang.String name)`
`abstract java.util.Map` | `getInitParameterMap()`
`abstract java.lang.String` | `getRemoteUser()`
`abstract java.lang.Object` | `getRequest()`
`abstract java.lang.String` | `getRequestContextPath()`
`abstract java.util.Map` | `getRequestCookieMap()`
`abstract java.util.Map` | `getRequestHeaderMap()`
`abstract java.util.Map` | `getRequestHeaderValuesMap()`
`abstract java.util.Locale` | `getRequestLocale()`
`abstract java.util.Iterator` | `getRequestLocales()`
`abstract java.util.Map` | `getRequestMap()`
`abstract java.util.Map` | `getRequestParameterMap()`
`abstract java.util.Iterator` | `getRequestParameterNames()`
`abstract java.util.Map` | `getRequestParameterValuesMap()`
`abstract java.lang.String` | `getRequestPathInfo()`
`abstract java.lang.String` | `getRequestServletPath()`
`abstract java.net.URL` | `getResource(java.lang.String path)`
`abstract java.io.InputStream` | `getResourceAsStream(java.lang.String path)`
`abstract java.util.Set` | `getResourcePaths(java.lang.String path)`
`abstract java.lang.Object` | `getResponse()`
`abstract java.lang.Object` | `getSession(boolean create)`
`abstract java.util.Map` | `getSessionMap()`
`abstract java.security.Principal` | `getUserPrincipal()`
`abstract boolean` | `isUserInRole(java.lang.String role)`
`abstract void` | `log(java.lang.String message)`
`abstract void` | `log(java.lang.String message, java.lang.Throwable exception)`
`abstract void` | `redirect(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BASIC_AUTH

    public static final java.lang.String BASIC_AUTH

See Also:
  Constant Field Values

### CLIENT_CERT_AUTH

    public static final java.lang.String CLIENT_CERT_AUTH

See Also:
  Constant Field Values

### DIGEST_AUTH

    public static final java.lang.String DIGEST_AUTH

See Also:
  Constant Field Values

### FORM_AUTH

    public static final java.lang.String FORM_AUTH

See Also:
  Constant Field Values

Constructor Detail

### ExternalContext

    public ExternalContext()

Method Detail

### dispatch

    public abstract void dispatch(java.lang.String path)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeActionURL

    public abstract java.lang.String encodeActionURL(java.lang.String url)

### encodeNamespace

    public abstract java.lang.String encodeNamespace(java.lang.String name)

### encodeResourceURL

    public abstract java.lang.String encodeResourceURL(java.lang.String url)

### getApplicationMap

    public abstract java.util.Map getApplicationMap()

### getAuthType

    public abstract java.lang.String getAuthType()

### getContext

    public abstract java.lang.Object getContext()

### getInitParameter

    public abstract java.lang.String getInitParameter(java.lang.String name)

### getInitParameterMap

    public abstract java.util.Map getInitParameterMap()

### getRemoteUser

    public abstract java.lang.String getRemoteUser()

### getRequest

    public abstract java.lang.Object getRequest()

### getRequestContextPath

    public abstract java.lang.String getRequestContextPath()

### getRequestCookieMap

    public abstract java.util.Map getRequestCookieMap()

### getRequestHeaderMap

    public abstract java.util.Map getRequestHeaderMap()

### getRequestHeaderValuesMap

    public abstract java.util.Map getRequestHeaderValuesMap()

### getRequestLocale

    public abstract java.util.Locale getRequestLocale()

### getRequestLocales

    public abstract java.util.Iterator getRequestLocales()

### getRequestMap

    public abstract java.util.Map getRequestMap()

### getRequestParameterMap

    public abstract java.util.Map getRequestParameterMap()

### getRequestParameterNames

    public abstract java.util.Iterator getRequestParameterNames()

### getRequestParameterValuesMap

    public abstract java.util.Map getRequestParameterValuesMap()

### getRequestPathInfo

    public abstract java.lang.String getRequestPathInfo()

### getRequestServletPath

    public abstract java.lang.String getRequestServletPath()

### getResource

    public abstract java.net.URL getResource(java.lang.String path)
                                      throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### getResourceAsStream

    public abstract java.io.InputStream getResourceAsStream(java.lang.String path)

### getResourcePaths

    public abstract java.util.Set getResourcePaths(java.lang.String path)

### getResponse

    public abstract java.lang.Object getResponse()

### getSession

    public abstract java.lang.Object getSession(boolean create)

### getSessionMap

    public abstract java.util.Map getSessionMap()

### getUserPrincipal

    public abstract java.security.Principal getUserPrincipal()

### isUserInRole

    public abstract boolean isUserInRole(java.lang.String role)

### log

    public abstract void log(java.lang.String message)

### log

    public abstract void log(java.lang.String message,
                             java.lang.Throwable exception)

### redirect

    public abstract void redirect(java.lang.String url)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD